description: >
  A filter rule usage example.

metadata:
  name: Filter

resources:
  mapping:
    type: Cybus::Mapping
    properties:
      mappings:
        - subscribe:
            topic: factory/machine/temperature
          publish:
            topic: 'factory/warning/overheat'
          rules:
            - filter:
                expression: $number($) > 95
